package com.ceb.gjjs.mda.service;

import com.brilliance.mda.runtime.request.BaseVO;
import com.brilliance.mda.runtime.response.ResponseSet;

/**
 * @author wangguangchao
 * @create 2021-09-24 10:04
 */
public interface ICommonService<V extends BaseVO> {
    ResponseSet<V> init(V req);
    ResponseSet<V> checkAll(V req);
    ResponseSet<V> saveData(V req);
    ResponseSet<V> confirmData(V req);
    ResponseSet<V> pending(V req);
    ResponseSet<V> executeCheck(V req,String... rulePathArr);
    ResponseSet<V> executeRule(V req,String... rulePathArr);
    ResponseSet<V> executeDefault(V req,String... rulePathArr);
    ResponseSet<V> executeNotify(V req);
    ResponseSet<V> executeDocpan(V req);
    ResponseSet<V> executeDocpanDetail(V req);
}
