package com.ceb.gjjs.mda.web;

import com.brilliance.mda.runtime.mda.driver.DCR;
import com.brilliance.mda.runtime.response.ResponseSet;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

@RestControllerAdvice
public class ExceptionsHandler {

    //留给自定义异常提示信息备用
    @ExceptionHandler(Exception.class)
    public ResponseSet<?> CommonException(Exception exception) {
        exception.printStackTrace();
        //出现异常了，将当前的default队列清空
        DCR.emptyDefaultQueue();
        return new ResponseSet("500", exception.getMessage(), null);
    }

}
