package com.ceb.gjjs.mda.service;

import com.brilliance.mda.runtime.mda.IContext;
import com.brilliance.mda.runtime.mda.driver.MdaEnv;
import com.brilliance.mda.runtime.request.BaseVO;
import com.brilliance.mda.runtime.response.ResponseSet;
import com.brilliance.mda.support.service.AbstractRouteService;

import java.util.Map;

public abstract class AbstractCommonProcess<V extends BaseVO> extends AbstractRouteService<V> {

    @Override
    public ResponseSet<V> init(V req) {
        Map<String, Object> params = req.getParams();
        return super.init(req);
    }

    @Override
    public boolean beforeExecute() {
        return true;
    }


    @Override
    public boolean afterExecute(String... rulePathArr) {
        return super.afterExecute(rulePathArr);
    }


    public ResponseSet<V> executeDocpan(V req) {
        enterTransaction(req);
        IContext ctx = MdaEnv.getContext();
        return new ResponseSet<>(ctx, req);
    }

    public ResponseSet<V> executeDocpanDetail(V req) {
        enterTransaction(req);
        //开始执行具体逻辑
        IContext ctx = MdaEnv.getContext();
        return new ResponseSet<>(ctx, req);
    }

}
